/***

Pacster Main Program

***/

#include "ConsoleDisplay.h"
#include "Globals.h"
#include "World.h"
#include "Object.h"
#include <stdlib.h>
#include <time.h>

#include <iostream.h>

//#include <afx.h>
//#include <afxsock.h>


void main( )
{
/*	CSocket cs;
	cs.Create();
	cs.Connect("localhost", 80);
	CSocketFile csf(&cs);

	csf << "HEAD / HTTP/1.0" << endl << endl;
	CString bob;
	bob << csf;
	bob >> cout;
	return;
*/

	srand( clock( ) );

	// our display interface way:
	ConsoleDisplay Screen; 

	// old ghetto way:
	// Display Screen;

	World W( Screen );

	Screen.clear( );
	W.load( Screen, W.GetLevel() );
	while ( W.advance( Screen ) );

	// Ending sequence:  clear the screen and say goodbye
	Screen.clear();
	Screen.DrawString(0, 0, "Thanks for playing.");
}